#define FONT_LEFT   1
#define FONT_RIGHT  2
#define FONT_CENTER 3


class MyFont
{
private:
  Surface *m_surf;
  Rect m_rect[256];
  uint32_t m_space, m_betlet;
  uint32_t findNextMark(uint32_t *pos, Surface *surf);

public:
  MyFont();
  ~MyFont();
  Surface *getSurface();
  uint32_t getWidth(const TCHAR *str);
  bool load(DisplayDevice* display, DWORD dwResID);
  bool load(DisplayDevice* display, TCHAR *sFontPath);
  void draw(DisplayDevice* display, int32_t x, int32_t y, const TCHAR *str);
  void drawf(DisplayDevice* display, int32_t x, int32_t y, const TCHAR *fmt, ...);
  void draw(DisplayDevice* display, int32_t x, int32_t y, uint32_t flags, const TCHAR *str);
  void drawf(DisplayDevice* display, int32_t x, int32_t y, uint32_t flags, const TCHAR *fmt, ...);
};

